<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:09 CET 2009 -->
<TITLE>
ReadableMatrix
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.smx.iface.ReadableMatrix interface">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="ReadableMatrix";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/ReadableMatrix.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/smx/iface/ReadableLongRationalMatrix.html" title="interface in ch.javasoft.smx.iface"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/smx/iface/ReadableVector.html" title="interface in ch.javasoft.smx.iface"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/smx/iface/ReadableMatrix.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="ReadableMatrix.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
ch.javasoft.smx.iface</FONT>
<BR>
Interface ReadableMatrix&lt;N extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>&gt;</H2>
<DL>
<DT><B>All Superinterfaces:</B> <DD><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Cloneable.html" title="class or interface in java.lang">Cloneable</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html" title="interface in ch.javasoft.smx.iface">MatrixBase</A>&lt;N&gt;</DD>
</DL>
<DL>
<DT><B>All Known Subinterfaces:</B> <DD><A HREF="../../../../ch/javasoft/smx/iface/BigIntegerMatrix.html" title="interface in ch.javasoft.smx.iface">BigIntegerMatrix</A>, <A HREF="../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">BigIntegerRationalMatrix</A>, <A HREF="../../../../ch/javasoft/smx/iface/DoubleMatrix.html" title="interface in ch.javasoft.smx.iface">DoubleMatrix</A>, <A HREF="../../../../ch/javasoft/smx/iface/DoubleVector.html" title="interface in ch.javasoft.smx.iface">DoubleVector</A>, <A HREF="../../../../ch/javasoft/smx/iface/IntMatrix.html" title="interface in ch.javasoft.smx.iface">IntMatrix</A>, <A HREF="../../../../ch/javasoft/smx/iface/IntRationalMatrix.html" title="interface in ch.javasoft.smx.iface">IntRationalMatrix</A>, <A HREF="../../../../ch/javasoft/smx/iface/LongMatrix.html" title="interface in ch.javasoft.smx.iface">LongMatrix</A>, <A HREF="../../../../ch/javasoft/smx/iface/LongRationalMatrix.html" title="interface in ch.javasoft.smx.iface">LongRationalMatrix</A>, <A HREF="../../../../ch/javasoft/smx/iface/ReadableBigIntegerMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableBigIntegerMatrix</A>&lt;N&gt;, <A HREF="../../../../ch/javasoft/smx/iface/ReadableBigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableBigIntegerRationalMatrix</A>&lt;N&gt;, <A HREF="../../../../ch/javasoft/smx/iface/ReadableDoubleMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableDoubleMatrix</A>&lt;N&gt;, <A HREF="../../../../ch/javasoft/smx/iface/ReadableIntMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableIntMatrix</A>&lt;N&gt;, <A HREF="../../../../ch/javasoft/smx/iface/ReadableIntRationalMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableIntRationalMatrix</A>&lt;N&gt;, <A HREF="../../../../ch/javasoft/smx/iface/ReadableLongMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableLongMatrix</A>&lt;N&gt;, <A HREF="../../../../ch/javasoft/smx/iface/ReadableLongRationalMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableLongRationalMatrix</A>&lt;N&gt;, <A HREF="../../../../ch/javasoft/smx/iface/ReadableVector.html" title="interface in ch.javasoft.smx.iface">ReadableVector</A>&lt;N&gt;</DD>
</DL>
<DL>
<DT><B>All Known Implementing Classes:</B> <DD><A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html" title="class in ch.javasoft.smx.impl">AbstractDoubleMatrix</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractVector.html" title="class in ch.javasoft.smx.impl">AbstractVector</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerMatrix.html" title="class in ch.javasoft.smx.impl">DefaultBigIntegerMatrix</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html" title="class in ch.javasoft.smx.impl">DefaultBigIntegerRationalMatrix</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerVector.html" title="class in ch.javasoft.smx.impl">DefaultBigIntegerVector</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultDoubleMatrix.html" title="class in ch.javasoft.smx.impl">DefaultDoubleMatrix</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultDoubleVector.html" title="class in ch.javasoft.smx.impl">DefaultDoubleVector</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultIntMatrix.html" title="class in ch.javasoft.smx.impl">DefaultIntMatrix</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultIntRationalMatrix.html" title="class in ch.javasoft.smx.impl">DefaultIntRationalMatrix</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultLongMatrix.html" title="class in ch.javasoft.smx.impl">DefaultLongMatrix</A>, <A HREF="../../../../ch/javasoft/smx/impl/DynamicDoubleMatrix.html" title="class in ch.javasoft.smx.impl">DynamicDoubleMatrix</A>, <A HREF="../../../../ch/javasoft/smx/impl/DynamicDoubleMatrix.DynamicColumns.html" title="class in ch.javasoft.smx.impl">DynamicDoubleMatrix.DynamicColumns</A>, <A HREF="../../../../ch/javasoft/smx/impl/DynamicDoubleMatrix.DynamicRows.html" title="class in ch.javasoft.smx.impl">DynamicDoubleMatrix.DynamicRows</A>, <A HREF="../../../../ch/javasoft/smx/impl/SubDoubleMatrix.html" title="class in ch.javasoft.smx.impl">SubDoubleMatrix</A>, <A HREF="../../../../ch/javasoft/metabolic/efm/column/VarIntMatrix.html" title="class in ch.javasoft.metabolic.efm.column">VarIntMatrix</A></DD>
</DL>
<HR>
<DL>
<DT><PRE>public interface <A HREF="../../../../src-html/ch/javasoft/smx/iface/ReadableMatrix.html#line.44"><B>ReadableMatrix&lt;N extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>&gt;</B></A><DT>extends <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html" title="interface in ch.javasoft.smx.iface">MatrixBase</A>&lt;N&gt;</DL>
</PRE>

<P>
The <code>ReadableMatrix</code> contains methods for readable matrices of
 any data type. From readable matrices, data can be read, but not written to.
 Some implementations, however, might implement both readable and writable
 interfaces for some specific type.
<P>

<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../../ch/javasoft/smx/iface/WritableMatrix.html" title="interface in ch.javasoft.smx.iface"><CODE>WritableMatrix</CODE></A></DL>
<HR>

<P>

<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableMatrix</A>&lt;<A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="type parameter in ReadableMatrix">N</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html#clone()">clone</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="type parameter in ReadableMatrix">N</A>[][]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html#getNumberRows()">getNumberRows</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="type parameter in ReadableMatrix">N</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html#getNumberValueAt(int, int)">getNumberValueAt</A></B>(int&nbsp;row,
                                 int&nbsp;col)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html#getSignumAt(int, int)">getSignumAt</A></B>(int&nbsp;row,
                       int&nbsp;col)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/smx/iface/WritableMatrix.html" title="interface in ch.javasoft.smx.iface">WritableMatrix</A>&lt;<A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="type parameter in ReadableMatrix">N</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html#newInstance(int, int)">newInstance</A></B>(int&nbsp;rows,
                       int&nbsp;cols)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/smx/iface/WritableMatrix.html" title="interface in ch.javasoft.smx.iface">WritableMatrix</A>&lt;<A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="type parameter in ReadableMatrix">N</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html#newInstance(N[][], boolean)">newInstance</A></B>(<A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="type parameter in ReadableMatrix">N</A>[][]&nbsp;data,
                       boolean&nbsp;rowsInDim1)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/smx/iface/WritableMatrix.html" title="interface in ch.javasoft.smx.iface">WritableMatrix</A>&lt;<A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="type parameter in ReadableMatrix">N</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html#toWritableMatrix(boolean)">toWritableMatrix</A></B>(boolean&nbsp;enforceNewInstance)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableMatrix</A>&lt;<A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="type parameter in ReadableMatrix">N</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html#transpose()">transpose</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.smx.iface.MatrixBase"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html" title="interface in ch.javasoft.smx.iface">MatrixBase</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#getColumnCount()">getColumnCount</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#getMatrixOperations()">getMatrixOperations</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#getNumberOperations()">getNumberOperations</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#getRowCount()">getRowCount</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#toMultilineString()">toMultilineString</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#toString()">toString</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#writeTo(java.io.OutputStream)">writeTo</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#writeTo(java.io.Writer)">writeTo</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#writeToMultiline(java.io.OutputStream)">writeToMultiline</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#writeToMultiline(java.io.Writer)">writeToMultiline</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="clone()"><!-- --></A><H3>
clone</H3>
<PRE>
<A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableMatrix</A>&lt;<A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="type parameter in ReadableMatrix">N</A>&gt; <A HREF="../../../../src-html/ch/javasoft/smx/iface/ReadableMatrix.html#line.45"><B>clone</B></A>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#clone()">clone</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html" title="interface in ch.javasoft.smx.iface">MatrixBase</A>&lt;<A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="type parameter in ReadableMatrix">N</A> extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="newInstance(int, int)"><!-- --></A><H3>
newInstance</H3>
<PRE>
<A HREF="../../../../ch/javasoft/smx/iface/WritableMatrix.html" title="interface in ch.javasoft.smx.iface">WritableMatrix</A>&lt;<A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="type parameter in ReadableMatrix">N</A>&gt; <A HREF="../../../../src-html/ch/javasoft/smx/iface/ReadableMatrix.html#line.46"><B>newInstance</B></A>(int&nbsp;rows,
                              int&nbsp;cols)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#newInstance(int, int)">newInstance</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html" title="interface in ch.javasoft.smx.iface">MatrixBase</A>&lt;<A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="type parameter in ReadableMatrix">N</A> extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="newInstance(java.lang.Number,boolean)"><!-- --></A><A NAME="newInstance(N[][], boolean)"><!-- --></A><H3>
newInstance</H3>
<PRE>
<A HREF="../../../../ch/javasoft/smx/iface/WritableMatrix.html" title="interface in ch.javasoft.smx.iface">WritableMatrix</A>&lt;<A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="type parameter in ReadableMatrix">N</A>&gt; <A HREF="../../../../src-html/ch/javasoft/smx/iface/ReadableMatrix.html#line.47"><B>newInstance</B></A>(<A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="type parameter in ReadableMatrix">N</A>[][]&nbsp;data,
                              boolean&nbsp;rowsInDim1)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#newInstance(N[][], boolean)">newInstance</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html" title="interface in ch.javasoft.smx.iface">MatrixBase</A>&lt;<A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="type parameter in ReadableMatrix">N</A> extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="toWritableMatrix(boolean)"><!-- --></A><H3>
toWritableMatrix</H3>
<PRE>
<A HREF="../../../../ch/javasoft/smx/iface/WritableMatrix.html" title="interface in ch.javasoft.smx.iface">WritableMatrix</A>&lt;<A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="type parameter in ReadableMatrix">N</A>&gt; <A HREF="../../../../src-html/ch/javasoft/smx/iface/ReadableMatrix.html#line.48"><B>toWritableMatrix</B></A>(boolean&nbsp;enforceNewInstance)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getNumberValueAt(int, int)"><!-- --></A><H3>
getNumberValueAt</H3>
<PRE>
<A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="type parameter in ReadableMatrix">N</A> <A HREF="../../../../src-html/ch/javasoft/smx/iface/ReadableMatrix.html#line.49"><B>getNumberValueAt</B></A>(int&nbsp;row,
                   int&nbsp;col)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getNumberRows()"><!-- --></A><H3>
getNumberRows</H3>
<PRE>
<A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="type parameter in ReadableMatrix">N</A>[][] <A HREF="../../../../src-html/ch/javasoft/smx/iface/ReadableMatrix.html#line.50"><B>getNumberRows</B></A>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getSignumAt(int, int)"><!-- --></A><H3>
getSignumAt</H3>
<PRE>
int <A HREF="../../../../src-html/ch/javasoft/smx/iface/ReadableMatrix.html#line.51"><B>getSignumAt</B></A>(int&nbsp;row,
                int&nbsp;col)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="transpose()"><!-- --></A><H3>
transpose</H3>
<PRE>
<A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableMatrix</A>&lt;<A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="type parameter in ReadableMatrix">N</A>&gt; <A HREF="../../../../src-html/ch/javasoft/smx/iface/ReadableMatrix.html#line.52"><B>transpose</B></A>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#transpose()">transpose</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html" title="interface in ch.javasoft.smx.iface">MatrixBase</A>&lt;<A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="type parameter in ReadableMatrix">N</A> extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/ReadableMatrix.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/smx/iface/ReadableLongRationalMatrix.html" title="interface in ch.javasoft.smx.iface"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/smx/iface/ReadableVector.html" title="interface in ch.javasoft.smx.iface"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/smx/iface/ReadableMatrix.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="ReadableMatrix.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
